var doc = this.document;


var borderRadius = function(config){

    var m = doc.createElement('modernizr');
    var m_style = m.style;
	var stylesheet = null;
	var prefix = 'zcorn';
	var debug = true;








	createStylesheet();

	


	
/*		if (!_corner_cache[cache_key]) {

			var cur_class = rule_prefix + corners_ss.cssRules.length;
			_corner_cache[cache_key] = cur_class;
			
			addRule('.' + cur_class + '>.' + base_class, 'background-image: url("' + (cparams.use_shape ? drawStarShape(cparams) : drawStar(cparams)) + '");' +
			'width: ' +	radius + 'px;' +
			'height: ' + (radius + diff) + 'px;');
		}
*/




	var supportBorder = (function() {
        var uc_prop = 'BorderRadius';
		props = [
            ['borderRadius','border-radius'],
            ['Webkit' + uc_prop, '-webkit-border-radius'],
            ['Moz' + uc_prop, '-moz-border-radius'],
            ['O' + uc_prop, '-o-border-radius'],
            ['Khtml' + uc_prop, '-khtml-border-radius']
        ];

        for ( var i in props ) {
            if (m_style[ props[i][0] ] !== undefined) {
                return props[i];
            }
        }
		return false;
    })();


	/* 
	 * TODO
	 *   
	 */
	var common = config.common;


	if(!supportBorder){
		/*     */
		var bg = null;		
		if(common.sprite){
			var bg = 'url('+common.sprite+')';
		}
		addRule('.'+prefix + '-tl', {
			'display': 'block',
			position: 'absolute',
			top: '0',
			left: '0',
			'background-image': bg,
			'overflow':'hidden'
		});
		addRule('.'+prefix + '-tr', {
			'display': 'block',
			'position':	'absolute',
			'margin-left': '100%',
			'top':0,
			'background-image': bg,
			'overflow':'hidden'
		});
		addRule('.'+prefix + '-bl', {
			'display': 'block',
			'position':	'absolute',
			'bottom': '0',
			'left':'0',
			'background-image':  bg,
			'overflow':'hidden'
		});
		addRule('.'+prefix + '-br', {
			'display': 'block',
			'position':	'absolute',
			'bottom': '0',
			'right':'0',
			'margin-left': '100%',
			'background-image':  bg,
			'overflow':'hidden'
		});
		
		for(selector in config.selectors){
			createCorners.call(config.selectors[selector],selector)
		}

		
	} else {
		/* 
		 *        
		 */
		for(selector in config.selectors){
			addRule(selector, supportBorder[1]+':'+config.selectors[selector].radius)
		}
		
	}




	function createCorners(selector){
			var radius = this.radius.replace(/px/g, '').split(' ');
			this.sprite_position[0] = -1 * this.sprite_position[0];
			this.sprite_position[1] = -1 * this.sprite_position[1];
			
			switch(radius.length) {
				case 1: radius[1]=radius[2]=radius[3]=radius[0];break;
				case 2: radius[3]=radius[1];radius[2]=radius[0];break;
				case 3: radius[3]=radius[1];break;
				case 4: break;
				default: if(debug) try {console.log(selector+' radius not found');} catch (e){};
			}
			

						
			addRule(selector, {
				'position':'relative'
			})

			var bgPos = '';
			addRule(selector + ' .' + prefix + '-tl', 
				{
					'width':  radius[3] + 'px',
					'height': radius[3] + 'px',
					'background-image': (this.sprite ? 'url('+this.sprite+')' : bg),
					'background-position': this.sprite_position[0]+'px ' + this.sprite_position[1] + 'px'
				}
			)
			addRule(selector + ' .' + prefix + '-tr', 
				{
					'width':  radius[0] + 'px',
					'height': radius[0] + 'px',
					'left': -radius[0] + 'px',
					'background-image': (this.sprite ? 'url('+this.sprite+')' : bg),
					'background-position': (this.sprite_position[0] - radius[0])+'px ' + this.sprite_position[1] + 'px'
				}
			)
			addRule(selector + ' .' + prefix + '-bl', 
				{
					'width':  radius[2] + 'px',
					'height': radius[2] + 'px',
					'background-image': (this.sprite ? 'url('+this.sprite+')' : bg),
					'background-position': this.sprite_position[0]+'px ' + (this.sprite_position[1] - radius[0]) + 'px'
					
				}
			)
			addRule(selector + ' .' + prefix + '-br', 
				{
					'width':  radius[1] + 'px',
					'height': radius[1] + 'px',
					'left': -radius[1] + 'px',
					'background-image': (this.sprite ? 'url('+this.sprite+')' : bg),
					'background-position': (this.sprite_position[0] - radius[0])+'px ' + (this.sprite_position[1] - radius[0]) + 'px'
					
				}
			)
			if($.browser.msie && $.browser.version < 7){
				addRule(selector + ' .' + prefix + '-b', {
					'position':'relative',
					'height':'0px',
					'display': 'block',
					'width':'100%'
				})
			}
			$(function(){
				$(selector).each(function(){
					var el = $(this);
					if ($.browser.msie && $.browser.version < 7) {
						el.wrapInner($('<div></div>').css({'padding-top': el.css('padding-top'), 'padding-right': el.css('padding-right'), 'padding-bottom': el.css('padding-bottom'), 'padding-left': el.css('padding-left')})).css({padding:0})
						el.append(
							$('<span class="' + prefix + '-b' + '"></span>')
							.append('<span class="' + prefix + '-bl' + '"></span>')
							.append('<span class="' + prefix + '-br' + '"></span>')			
						)
					} else {
						el.append('<span class="' + prefix + '-bl' + '"></span>')
						.append('<span class="' + prefix + '-br' + '"></span>')
					}
					el.append('<span class="'+ prefix + '-tl'+'"></span>')
					.append('<span class="'+ prefix + '-tr'+'"></span>');
				})
			})
		
	} 





	function addRule(selector, rules) {
		var rules_str = '';
		for(rule in rules){
			if(rules[rule]!='undefined') rules_str += rule+':'+rules[rule]+';';
			else alert(rules[rule])
		}
		if (typeof stylesheet.addRule == 'object') {
			stylesheet.addRule(selector, ' {' + rules_str + '}');
		}
		else {
			stylesheet.insertRule(selector + ' {' + rules_str + '}', stylesheet.cssRules.length);
		}
	}


	
	function createElement(name, class_name) {
		var elem = document.createElement(name);
		if (class_name) {
			elem.className = class_name;
		}
		return elem;
	}
	

	function createStylesheet() {
		if (document.createStyleSheet) {
			stylesheet = document.createStyleSheet();
		} else {
			var style = createElement('style');
			style.rel = 'zBorderRadius';
			document.getElementsByTagName('head')[0].appendChild(style);
			
			walkArray(document.styleSheets, function(){
				if (this.ownerNode.rel == 'zBorderRadius') {
					stylesheet = this;
					return false;
				}
			});
		}
		
		return stylesheet;
	}






	
}






function walkArray(ar, fn, forward) {
	if (forward) {
		for (var i = 0, len = ar.length; i < len; i++)
			if (fn.call(ar[i], i) === false)
				break;
	} else {
		for (var i = ar.length - 1, result; i >= 0; i--)
			if (fn.call(ar[i], i) === false)
				break;
	}
}














