var pageSize = 1;

var news_params = {
	url_prefix:'',
	per_page: 15
}

var ajax = {
	listParams : {},
	loadWindow : function(link,container)
	{
		var url = $(link).attr("href");
		$.ajax({
			url:link,
			success: function(data){
				$('<div id="shirm"></div>').width($('body').width()).height($(document).height()).appendTo('body');
				var block = $('<div class="white_block"><div class="top"><div class="right"></div><div class="left"></div><div class="center"></div></div>' +
				'<div class="content"><div class="wrapper"></div></div>' +
				'<div class="bottom"><div class="right" onclick="ajax.closeWindow(this);"><img src="images/white_block_close.png" alt="" class="close" /></div><div class="left"></div><div class="center"></div></div></div>');
				block.find('.wrapper').html(data);
				if(container)
					block.appendTo(container);
				else
					block.appendTo('#container_wrapper');
				var isiPad = navigator.userAgent.match(/iPad/i) != null;
				if((jQuery.browser.msie && jQuery.browser.version == '6.0') || isiPad){
					block.css("top",getScrollY() + 50);
				}
				$('.white_block .tags').jScrollPane(jScrollParams);
				$('.white_block .tags a').click(function(){
					return tagsWindowClick(this);
				});
			}
		});
	},
	
	closeWindow : function(button) {
		if(button)
			$(button).parent().parent().remove();
		else
			$('.white_block').remove();
		$("#shirm").remove();
	},
	
	loadList : function(file,params) {
		$('.preface_description').remove();
		params.oldClass = $('.'+params.listClass).attr('className');
		if(params.replace) {
			$('.'+params.listClass).slideUp('slow',function() {
				ajax.loadHTML(file,params);
			});
		}
		else
			this.loadHTML(file,params);
	},
	
	loadHTML : function(file,params)
	{
		$('<div class="loader"></div>').insertAfter($('.'+params.listClass));
		$.ajax({
			url:'/ajax/'+file,
			success: function(data){
				ajax.appendList(data,params);
			},
			dataType : 'json'
		});
	},
	
	parseDL : function(data,params) {
		var content = data.list;
		var className = params.listClass ? ' '+params.listClass : '';
		if(!params.time)
			var html = '<dt>'+content[0].date+'</dt><dd>';
		else
			var html = '<dt class="time">'+content[0].date+' <span>'+(content[0].time ? content[0].time : '')+'</span></dt><dd>';
		var html = this.parseHeader(params,content[0],true);

		var date = content[0].date;
		for(var i=0; i<content.length;i++){
			if(date != content[i].date){
				html += this.parseHeader(params,content[i],false);
			}
			html += '<p><a href="'+content[i].url+'">'+content[i].title+'</a></p>';
			date = content[i].date;
		}
		html += "</dd>";
		return html;
	},
	
	parseUL : function(data,params) {
		var content = data.list;
		var html = '';
		for(var i= 0;i < content.length;i++)
		{
			html += '<li><a href="'+content[i].url+'">'+content[i].title+'</a></li>';
		}
		return html;
	},
	
	parseHeader : function(params,content,first) {
		if(!params.time)
			var html = (!first ? '</dd>' : '')+'<dt>'+(!params.onlyTime ? content.date : (content.time ? content.time : ''))+'</dt><dd>';
		else
			var html = (!first ? '</dd>' : '')+'<dt class="time">'+content.date+' <span>'+(content.time ? content.time : '')+'</span></dt><dd>';
		return html;
	},
	
	appendList : function(data,params)
	{
		if(!params.listType || params.listType == 'dl')
			var html = this.parseDL(data,params);
		else if(params.listType == 'ul')
			var html = this.parseUL(data,params);
		this.openList(html,params);
	},
	
	openList : function(html,params) {
		$('.loader').remove();
		if(params.replace) {
			$('.'+params.listClass).empty();
			$('.'+params.listClass).html(html);
			$('.'+params.listClass).slideDown('slow');
		}
		else
		{
			$('.'+params.listClass).append('<dd><p class="dashed divider">&nbsp;</p></dd>');
			var div = $('<div></div>').append(html).hide();
			$('.'+params.listClass).append(div);
			div.slideDown('slow');
		}
	}
}

var intervalSupport = function(){
	this.dateStart = '';
	this.dateEnd = '';
	this.interval = false;
	_this = this;
	this.dateSelect = function(date){
		if(_this.interval){
			_this.dateStart = _this.dateEnd = _this.dateEndObj =_this.dateStartObj = '';
			_this.interval = false;
		}
		if(!_this.dateStart){
			date = _this.dateStart = date.split('.');
			_this.dateStartObj = new Date(date[1]+'/'+date[0]+'/'+date[2]);
			_this.dateStart[1]--;

		} else if(!_this.dateEnd){
			date = _this.dateEnd = date.split('.');
			_this.dateEndObj = new Date(date[1]+'/'+date[0]+'/'+date[2]);
			_this.dateEnd[1]--;
			_this.highlightInterval();
			_this.update();
			return 'notUpdate';
		}
		_this.update(date);
	}
	this.highlightInterval = function(){
		this.interval = true;
		if((_this.dateStartObj - _this.dateEndObj)>=0){
			var tmp = _this.dateEndObj;
			_this.dateEndObj = _this.dateStartObj;
			_this.dateStartObj = tmp; 
			tmp = _this.dateEnd;
			_this.dateEnd = _this.dateStart;
			_this.dateStart = tmp; 
		}
		var a = _this.dateStart;
		var b = _this.dateEnd;

		for(var i=0;i<3;i++){a[i]=parseInt(a[i],10);b[i]=parseInt(b[i],10)};


		var days = $('#datepicker tbody td[data!=""]');
		var startTd = days.index(days.filter('td[date='+a[0]+'_'+a[1]+'_'+a[2]+']'));
		
		if(startTd == -1){
			_this.fromPast();
		}

		var hlMe = days.slice(startTd);

		var endData = b[0]+'_'+b[1]+'_'+b[2];
		
		var flag_last = false;
		hlMe.each(function(){
			if (!flag_last) {
				$(this).addClass('dp_interval');
				if($(this).attr('date') == endData)	flag_last = true;
			}
		})

		return false;
		
	}
	
	this.changeMonth = function(year,month){
		_this.newDate = new Date(month+'/1/'+year);
		if(_this.interval)
			return _this.testInterval
		else
			return function(){}
	}

	this.testInterval = function(){
		var aTd = $('#month' + _this.dateStart[1] + '_' + _this.dateStart[2]).length;
		var bTd = $('#month' + _this.dateEnd[1] + '_' + _this.dateEnd[2]).length;

		if ((aTd && bTd) || (aTd && !bTd)) {
			_this.highlightInterval();
		}
		else if (!aTd && bTd) {
			_this.fromPast();
		} else {
			if(_this.newDate && _this.dateStartObj < _this.newDate && _this.newDate < _this.dateEndObj){
				_this.highlightAll();
			}
		}
		this.newDate = '';
	}
	

	this.fromPast = function(){
		var a = _this.dateStart;
		var b = _this.dateEnd;

		for(var i=0;i<3;i++){a[i]=parseInt(a[i],10);b[i]=parseInt(b[i],10)};
		var days = $('#datepicker tbody td[data!=""]');
		var endData = b[0]+'_'+b[1]+'_'+b[2];
		var flag_last = false;
		days.each(function(){
			if (!flag_last) {
				$(this).addClass('dp_interval');
				if($(this).attr('date') == endData)	flag_last = true;
			}
		})
		
	}
	
	this.highlightAll = function(){
		var days = $('#datepicker tbody td[data!=""]');
		days.each(function(){
			$(this).addClass('dp_interval');
		})
	}

	this.update = function(){
		var a = _this.dateStart;
		var b = _this.dateEnd;
		a[1] = parseInt(a[1]) + 1;
		b[1] = parseInt(b[1]) + 1;
		a[1] = (a[1]<10 ? parseInt(+a[1]) : a[1]);
		b[1] = (b[1]<10 ? parseInt(+b[1]) : b[1]);

		if(a && !b || a.join('.') == b.join('.')){
			$("#dateResult .dpDatePrefix").show().text('за ').show();
			$("#dateResult .dpDateFirst").text(a.join('.')).show();
			$("#dateResult .dpDateTo").hide().empty();
			$("#dateResult .dpDateLast").hide().empty();
		} else if(a && b){
			$("#dateResult .dpDatePrefix").show().text('с ');
			$("#dateResult .dpDateFirst").text(a.join('.'));
			$("#dateResult .dpDateTo").show().text(' по ');
			$("#dateResult .dpDateLast").text(b.join('.')).show();
		}else{
			$("#dateResult *").hide();
		}
		a[1]--;b[1]--;

	}
}


function initNews(){
		var news = new function(){
			
		$this = this;
		$this.prefix = news_params.url_prefix;
		this.page_count = 1;
		this.current_params = '';
	
	
		this.init = function(){
			$(function(){
				$('.previous_news').click(function(){$this.loadNext();return false;})
			})
		}
		
		this.loadNext = function(){

			var submit_data = {};
			$.extend(true, submit_data, $this.current_params, {
				limit:news_params.per_page,
				page: ($this.page_count + 1)
			})

			$.ajax({
				url:'/ajax/news_list.html',
				data: submit_data,
				success: function(data){
					$this.renderNews(data.list);
					$this.page_count++;
				},
				dataType : 'json'
			})
		}
		
		this.load = function(params, text){

//			$('#elaboration')
			$('#news_container').empty().append('<div class="loader"></div>');
			
			$this.page_count = 0;
			$this.current_params = params; 

			$.extend(true, params, {
					limit:news_params.per_page,
					page: 1
			})

			$.each(params, function(key, value){
				if(typeof value == 'object'){
					value =  value.join('.')
					params[key] = value;
				} 
			})
			

			$.ajax({
				url:'/ajax/news_list.html',
				data: params,
				success: function(data){
					$this.renderNews(data.list, true);
					$("#content_sub").html(text.replace('\n', ''));
					$this.page_count++;
				},
				dataType : 'json'
			})


		}
		
		this.renderNews = function(news, first){
			var html = '<dl class="marker01 news_list"><dt>'+news[0].date+'</dt><dd><ul>';

			var date = news[0].date;
			for(var i=0; i<news.length;i++){
				if(date != news[i].date){
					html += '</ul></dd><dt>'+news[i].date+'</dt><dd><ul>';
				}
				html += '<li><p><a href="'+($this.prefix ? $this.prefix : '')+news[i].url+'">'+news[i].title+'</a></p><p>'+news[i].short_text+'</p></li>';
				date = news[i].date;
			}
			
			html += '</dl><div class="dashed bordertop mtop20"></div>';
			
			if(first) $('#news_container').empty();
			var div = $('<div></div>').hide().append(html);
			$('#news_container').append(div);
			div.slideDown(4000);
		}
		
		this.init();
	}
	
	return news;
}

function initGallery(){
	if(typeof(disableSlideShow) == "undefined" || disableSlideShow == false){
		var enableSlideShow = false;
	} else {
		var enableSlideShow = true;
	}	
    $('.gallery ul').jcarousel({initCallback: initCallbackFunction});
	
	function initCallbackFunction(carousel) {
		$(".gallery ul a").bind('click',function(){
			var x = $(this).parent().attr('jcarouselindex');
			carousel.scroll(x - 2);
		});
	};
	
	function clickButton(){
		if (!isFunctionCall){ 
			clearInterval(intId);
		}
		//$(".gallery ul a.current").data('index')
		if(inProcess || $(this).parent().filter('.current').length > 0) return false;
		inProcess = true;
		links.parent().filter('.current').removeClass('current').children("a").animate({opacity: 1}, 500);
		$(this).parent().addClass("current").children("a").animate({opacity: 0.5}, 500);
		$(".bigimage p.description").text($(this).attr("title"));
		var link = $(this).attr("href");
		var des = $(this).find('span.description').html();
		des = des ? des : "";
		var author = $(this).find('span.author').html();
		author = author ? author : "";
		var old_image = $('.gallery .bigimage img');
		if($("#player").size() > 0)
		{
			vplayer.stop();
			vplayer.unload();
			$("#player").hide();
			$(".gallery .gray_border").show();
		}
		if($("#audio").size() > 0)
		{
			aplayer.stop();
			aplayer.unload();
			$("#audio").hide();
			$(".gallery .gray_border").show();
		}
		if($(this).hasClass("video")) {
			$(".photoDownload").hide();
			inProcess = false;
			$(".gallery .gray_border").hide();
			if($("#player").size() == 0) {
				var a = $('<a id="player" style="display: block; width: 425px; height: 300px;" href=""></a>').attr("href",link);
				$(".gallery .wrapper").prepend(a);
			} else {
				$("#player").attr("href",link).show();
			}
			initVideo();
		} else if($(this).hasClass("audio")) {
			$(".photoDownload").hide();
			inProcess = false;
			$(".gallery .gray_border").hide();
			if($("#audio").size() == 0) {
				var a = $('<a href="" style="display:block;width:80%;height:30px;" id="audio"></a>').attr("href",link);
				$(".gallery .wrapper").prepend(a);
			} else {
				$("#audio").attr("href",link).show();
			}
			initAudio();
		} else {
			$(".photoDownload").show();
			var img = new Image();
			if($(".photoDownload").size() > 0) {
				$(".photoDownload a").attr("href",$(this).attr("href"));
				$(".photoDownload a.file_link").html("<br/>"+($(this).find('span.info').html() != null ? $(this).find('span.info').html() : ""));
			}
			$(img).load(function () {
				$(this).css('opacity', 0).addClass('nextimage');
				
				$('.gallery .bigimage div.photo_des').remove();
				$('.gallery .bigimage div.author').remove();
				if($('.gallery .bigimage .corner_img').size() > 0) {
					$('.gallery .bigimage .corner_img').append(this);
				} else {
					$('.gallery .bigimage').append(this);
				}
				$(this).css("margin-left",$(this).width()/2*-1);
				if($(".gallery p.author").size() == 0) {
					if($('.gallery .bigimage .corner_img').size() > 0) {
						$('.gallery .bigimage .corner_img').append((des? '<div class="photo_des">'+des+'</div>' : '')+(author? '<div class="author">'+author+'</div>' : ''));
					} else {
						$('.gallery .bigimage').append((des? '<div class="photo_des">'+des+'</div>' : '')+(author? '<div class="author">'+author+'</div>' : ''))
					}
				} else {
					$(".gallery p.description").text(des);
					$(".gallery p.author").text(author);
				}
				$(this).show().animate({opacity:1}, 500, function(){
					$(this).removeClass('nextimage').css({marginLeft:0});
					old_image.remove();
					inProcess = false;
				});

			})
			.error(function (e) {
				alert('Error');
			})
			.attr('src', link);
		}
		return false;
    }

    var links = $(".gallery ul a");
    var inProcess = false;
	var intId;
	var isFunctionCall;
	
	$(".gallery ul a").live('click', clickButton);
        
	$(function() {
		if (links.length > 0) {
			isFunctionCall = true;
			if (typeof(newGalleryinit) == "undefined"){
				$($(".gallery ul a")[0]).click();
			}
			var index = 0;
			
			if(enableSlideShow){
				intId = window.setInterval(function(){
					isFunctionCall = true;
					$($(".gallery ul a")[index]).click();
					isFunctionCall = false;
					index++;
					if(index == links.length){
						index = 0;
					}
				}, 10000)
			}
		}
	});
}

var subscribe = {
	button : false,
	send : function(button) {
		this.button = button;
		var filter = /^([\w-\.]+)@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.)|(([\w-]+\.)+))([a-zA-Z]{2,4}|[0-9]{1,3})(\]?)$/;
		if(filter.test($(button).parent().find('.subscribe').val())) {
			$(button).addClass("disabled");
			$(button).attr("disabled","disabled");
			$(button).siblings("input[type=text]").addClass("load");
			$.ajax({
				data: 'email=' + $(button).parent().find('.subscribe').val(),
				url:'/ajax/subscribe.html',
				success: function(data) {
					subscribe.apply(data);
				},
				dataType : 'json'
			});
		} else {
			if($(button).parent().find('.subscribe').size() > 0) {
				$(button).parent().find('.subscribe').val("Неверный e-mail");
				$(button).parent().find('.subscribe').focus(function() {
					if($(this).val() == "Неверный e-mail")
						$(this).val('');
				});
			} else {
				$(button).siblings('.div_subscribe').children('.subscribe').val("Неверный e-mail");
			}
		}
		return false;
	},
	apply : function(data) {
		$(this.button).parent().find("input[type=text]").removeClass("load").addClass("loaded");
		$(this.button).parent().find("input[type=text]").addClass(data.result == true ? 'true' : 'false');
		$(this.button).parent().find("input[type=text]").val(data.message);
	}
}


var jScrollParams = {scrollbarWidth:7,showArrows:true,arrowSize:10,animateTo:true}
var submmenuAction = false;
$(function(){
	$('.scroll').jScrollPane(jScrollParams);
	$(window).resize(function() {
		$('.scroll').jScrollPane(jScrollParams);
	});
	
	$("#main_submenu dt a").click(function() {
		submmenuAction = true;
		var dt = $(this).parent();
		var selected = $("#main_submenu dt.selected");
		if(dt.hasClass("selected")) {
			dt.next().slideUp('slow',function() {dt.removeClass("selected");submmenuAction = false;});
		} else {
			if(dt.next().length > 0 && dt.next().get(0).tagName == "DD") {
				if(selected)
				{
					selected.next().slideUp('slow',function() {selected.removeClass("selected");});
				}
				dt.addClass("selected");
				dt.next().slideDown(500,function() {$(this).height($(this).height());submmenuAction = false;});
			}
		}
		return false;
	});
});

function deactiveTabs() {
	$('.dates_tab li').each(function() {
		var text = $.trim($(this).text());
		var a = $(this).find("a");
		a.empty().text(text);
		$(this).empty().append(a);
		$(this).removeClass("selected");
	});
}

function autoMenuHeight() {
	if($("#main_submenu dt.selected").size() > 0 && !submmenuAction) {
		$("#main_submenu dt.selected").next().height("auto");
		setTimeout(function(){
			$("#main_submenu dt.selected").next().height($("#main_submenu dt.selected").next().height());
		}, 400);
	}
	if($(".jScrollPaneContainer").size() > 0) {
		setTimeout(function(){
			//$(".jScrollPaneContainer .scroll").jScrollPaneRemove();
			//$(".jScrollPaneContainer .scroll").jScrollPane(jScrollParams);
		}, 400);
	}
}

function autoHeight(init,nwidth){
	if(init){
		var width = 'auto';
		$('.jScrollPaneContainer').css('width',width);
		
		if($('#events_scroll').length > 0) {
			if(scrollto != undefined)
				setTimeout(function(){
					$('#events_scroll')[0].scrollTo(scrollto);
				}, 400);
					
		}
	}
	
	if(this.timer) clearTimeout(this.timer)
	// reduce load

	
	if($('#index_scroll_1').length > 0) {
		this.timer = setTimeout(function(){
			for (var i = 1; i < 3; i++) {
				var d1 = (i == 1 ? 35 : -10)
				var d2 = (i == 1 ? -43 : -106)
				var h = $('#index_scroll_' + i + '_1').height();
				$('#index_scroll_' + i).css({
					height: h + d1 + 20
				})
				$('#index_scroll_' + i + ' .jScrollPaneContainer').css({
					height: h + d2
				})
				$('.scroll').jScrollPane(jScrollParams);
			}
		},100);
	} else {
		$('.scroll').jScrollPane(jScrollParams);
	}
	
};

var Message = {
	oldform : false,
	send : function(id) {
		var error = false;
		var vals = {};
		if($("#"+id).find(".require").size() == 0) {
			$("#"+id+" input,#"+id+" select,#"+id+" textarea").each(function() {
				if($(this).attr("name") != "") {
					if($(this).val() != "") {
						vals[$(this).attr("name")] = $(this).val();
					} else {
						alert("Заполните необходимые поля");
						error = true;
						return false;
					}
				}
			});
		} else {
			$("#"+id+" .require").each(function() {
				if($(this).attr("name") != "") {
					if($(this).val() != "") {
						vals[$(this).attr("name")] = $(this).val();
					} else {
						alert("Заполните необходимые поля");
						error = true;
						return false;
					}
				}
				if(!error) {
					$("#"+id+" input,#"+id+" select,#"+id+" textarea").each(function() {
						if(!$(this).hasClass("require"))
							vals[$(this).attr("name")] = $(this).val();
					});
				}
			});
		}
		
		if(error)
			return false;
			
		if(id == "register_form" && $("#form_2").val() != $("#form_3").val()) {
			alert("Пароли не совпадают");
			return false;
		}
		
		
		$.post("/ajax/form_"+id+".html",vals,function(data) {
			Message.applyForm(data,id);
		});
		
		return false;
	},
	
	applyForm : function(data,id) {
		if(data == "false") {
			alert("Символы неверны, попытайтесь снова");
			return false;
		}
		this.oldform = $('#'+id+' .local_form').html();
		if(id == "request_form") {
			var html = $('<p class="description red">Ваш запрос поступил в канцелярию общего отдела Администрации Ростовской области. Ответ на Ваш запрос будет направлен в течение 30 дней с момента его регистрации.</p>' + 
					'<p class="description red">Спасибо за использование интерактивного сервиса портала.</p>');
		} else if(id == "register_form") {
			var html = $('<p class="description red">На указанный Вами e-mail отправлено письмо для подтверждения регистрации.</p>' + 
					'<p class="description red">Регистрация должна быть подтверждена в течении 24 часов.</p>');
		} else if(id == "treatment_form") {
			var html = $('<p class="description red">Спасибо за Ваш комментарий. После рассмотрения его модератором он будет опубликован на сайте.</p>');
		} else {
			var html = $('<p class="description red">Вашe обращение поступило в канцелярию общего отдела Администрации Ростовской области. Ответ на Ваш запрос будет направлен в течение 30 дней с момента его регистрации.</p>' + 
					'<p class="description red">Спасибо за использование интерактивного сервиса портала.</p>');
		}
		if(id != "register_form") {
			var resendLink = $('<p class="resendLink"><a href="#" onclick="return Message.reSend(this,\''+id+'\');">Отправить еще '+(id == "request_form" ? 'один запрос' : 'одно обращение')+'</a></p>');
		} else {
			var resendLink = $('<p class="resendLink"><a href="#" onclick="return Message.reSend(this,\''+id+'\');">Зарегистрировать еще одного пользователя</a></p>');
		}
		$('#'+id+' .local_form').parent().after(resendLink);
		$('#'+id+' .local_form').empty().append(html);
		$(document).scrollTop($(".resendLink").offset().top - 200);
	},
	
	reSend : function(link,id) {
		link = $(link);
		link.parent().remove();
		$('#'+id+' .local_form').empty().append(this.oldform);
		$("textarea").focus();
		return false;
	}
};

var oldvalues = {};
function loadHTML(container,url,dividerContainer,replaced,values,func) {
	var paging = false;
	if($(".previous_list").size() > 0 && !$(".previous_list").hasClass("hide_table"))
			$(".previous_list").show().text("Предыдущие 20");
	if(typeof(values["page"]) !== "undefined")
	{
		paging = true;
		pageSize++;
	}
	if(!paging) {
		oldvalues = {};
		pageSize = 1;
	} else {
		oldvalues["page"] = pageSize;
	}
	for(var n in values) {
		if(n == "page") {
			continue;
		}
		oldvalues[n] = values[n];
	}
	if(replaced != false) {
		replaced.css("position","relative");
		replaced.slideUp(500,function() {
			replaced.empty();
			$.ajax({
				url:"/ajax/"+url+".html",
				data:oldvalues,
				success: function(data){
					replaced.append(data);
					replaced.slideDown('slow',function() {replaced.css("position","");});
					if(func)
						eval(func);
				}
			});
		});
	} else {
		if(dividerContainer)
			container.append('<'+dividerContainer+'><p class="dashed divider">&nbsp;</p></'+dividerContainer+'>');
		$.ajax({
			url:"/ajax/"+url+".html",
			data:oldvalues,
			success: function(data){
				if (container && container[0].tagName == 'UL' && $.browser.msie) {
					var div = $('<ul></ul>').append(data).hide();
					container.append(div);
				} else {
					var div = $('<div></div>').append(data).hide();
					container.append(div);
				}
				div.slideDown('slow');
				if(func)
					eval(func);
			}
		});
	}
	return false;
}

function applyPages(pNum,className) {
	className = className ? className : "previous_list";
	if(pNum > 0) {
		$("."+className).text("Предыдущие "+(pNum <= 20 ? pNum : 20));
	} else {
		$("."+className).hide();
	}
}

function blockHeight(block) {
	if(jQuery.browser.msie && jQuery.browser.version == '6.0'){
		block.get(0).style.height = block.get(0).offsetHeight;
	}
}

$(function() {
	var d = document;
	var winIE = (navigator.userAgent.indexOf("Opera")==-1 && (d.getElementById && d.documentElement.behaviorUrns)) ? true : false;

	fixVideo();

	function bodySize(){
		if(winIE && d.documentElement.clientWidth) {
			sObj = d.getElementById("container_wrapper").style;
			sObj.width = (d.documentElement.clientWidth<1010) ? "949px" : "94%";
			//alert(d.documentElement.clientWidth);

			fixVideo();

			
		}
	}
	
	function fixVideo()
	{
		if($.browser.version.indexOf("6") != -1)
		{
			var video_block = $("#index_scroll_2_1 .video_block");
			var video_block_width = video_block.width();
	
			video_block_width % 2 != 0 ? video_block.find(".br, .tr").css('right', '-1px') : video_block.find(".br, .tr").css('right', '0px'); 
		}		
	}

	function init(){
		if(winIE) { bodySize(); }
	}
	
	if(winIE) { onresize = bodySize; }
	if(jQuery.browser.msie && jQuery.browser.version == '6.0'){
		$(".gray_block").each(function() {
			blockHeight($(this));
		});
	}
	
	 var tl; 
	$(".info_block.js h4").click(function() {
		$(this).parent().get(0).style.height = "";
		// костыль для 6ки
		if(jQuery.browser.msie && jQuery.browser.version == '6.0'){
			tl = $('.tl', $(this).parent());
			tl.css('left', '-30');
			setTimeout(function(){
				tl.css('left', '0');
			}, 550);
		}
		if($(this).hasClass("open")) {
			$(this).parent().find(".content").slideUp(500,function() {blockHeight($(this).parent());});
		} else {
			$(this).parent().find(".content").slideDown(500,function() {blockHeight($(this).parent());});
		}
		$(this).toggleClass("open");
		return false;
	});
	
	/*if(jQuery.browser.msie && (jQuery.browser.version == '6.0' || jQuery.browser.version == '7.0') && $('.previews').length > 0) {
		$('.previews').width($('.previews ul').width());
	}*/
});

function getScrollY()
{
    scrollY = 0;   
    if (typeof window.pageYOffset == "number") {
        scrollY = window.pageYOffset;
    } else if (document.documentElement && document.documentElement.scrollTop) {
        scrollY = document.documentElement.scrollTop;
    }  else if (document.body && document.body.scrollTop) {
        scrollY = document.body.scrollTop;
    } else if (window.scrollY) {
        scrollY = window.scrollY;
    }
    return scrollY;
}

//--- подсветка при наведении ссылок офиц сайты
$(function() {
	$('#oficsaiti td').bind('mouseover',function(){
		if(!$(this).parent().hasClass('caption')){
			$(this).css('background-color', '#e6e9ee');
			$(this).siblings('td').css('background-color', '#e6e9ee');
		}
	});
	$('#oficsaiti td').bind('mouseout',function(){
		if(!$(this).parent().hasClass('caption')){
			$(this).css('background-color', '');
			$(this).siblings('td').css('background-color', '');
		}
	});
	$('#programms_list li').bind('mouseover',function(){
		$(this).css('background-color', '#e6e9ee');
	});
	$('#programms_list li').bind('mouseout',function(){
		$(this).css('background-color', '');
	});
});

function search(container,i1,i2,i3,params,input) {
	if(input.val() == "" || input.val() == "Введите условие поиска") {
		input.val("Введите условие поиска");
		input.click(function() {
			$(this).unbind("click");
			$(this).val("");
		});
		return false;
	}
	params.text = input.val();
	return loadHTML(container,i1,i2,i3,params);
}

function sendFormData(form) {
	var vals = {};
	$("."+form+" input,."+form+" select").each(function() {
		if($(this).attr("name") != "") {
			if(($(this).attr("type") == "checkbox" || $(this).attr("type") == "radio") && !$(this).attr("checked")) {
				return true;
			}
			vals[$(this).attr("name")] = $(this).val();
		}
	});
	return vals;
}

var vplayer = false;
var aplayer = false;
function initVideo() {
	var autoPlay = $("#player").hasClass("stop-cadre") ? false : true;
	vplayer = $f("player", "/ClientScript/flowplayer/flowplayer-3.2.7.swf", {
		clip: {
			autoPlay: autoPlay
		}
	});
}

function initAudio() {
	aplayer = $f("audio", "/ClientScript/flowplayer/flowplayer-3.2.7.swf", {
		// fullscreen button not needed here
		plugins: {
			controls: {
				fullscreen: false,
				height: 30,
				autoHide: false
			}
		},
		clip: {
			autoPlay: true
		}
	});
}

function setslider(delay)
{
	var slider = $("#slogan_list");	
	var slide_links = $("#slogan_list_num a");
	var cur_slide = false;
	var stop_slider;
	var slide_animate = false;
	var i = 0;
	var timeoutId = false;
	
	timeoutId = setTimeout(slideNext, delay);
	
	function slideNext()
	{	
		if(slide_links.filter(".active").size() == 0)
		{
			slide_links.filter(":first").addClass("active");
			cur_slide = slide_links.filter(".active");
			i++;
		}
		else
		{		
		
			if(i == slide_links.size() - 1)
			{
				slider.append(slider.find("li:first").clone().addClass("last"));
			}
			if(i == slide_links.size())
			{
				slide_links.filter(":first").addClass("active");
				cur_slide.removeClass("active");
				cur_slide = slide_links.filter(".active");
			}
			else
			{
				cur_slide.next().addClass("active");
				cur_slide.removeClass("active");
				cur_slide = slide_links.filter(".active");				
			}			
			
			var slider_offset = i * -35;			
			
			slider.animate({
				top: slider_offset
			}, 300, function()
			{
				if(i == slide_links.size() + 1)
				{
					slider.css('top', '0');
					slider.find(".last").remove();
					
					i = 1;
				}				
			});					
			
			i++;	
				
		}		
		timeoutId = setTimeout(slideNext, delay);		
	}
	
	$(".slogan_block").hover(
		function()
		{
			$(this).parent().addClass("hover");
			clearTimeout(timeoutId)
		},
		function()
		{
			$(this).parent().removeClass("hover");
			timeoutId = setTimeout(slideNext, 500);
		}
	);
	
	$("#slogan_list_num a").click(function()
	{
		slider.find(".last").remove();
		
		var slider_index = $("#slogan_list_num a").index($(this));
		var slider_offset = slider_index * -35;
		
		slider.animate({
			top: slider_offset
		}, 300);
		
		$(this).parent().parent().find(".active").removeClass("active");
		$(this).addClass("active");
		
		cur_slide = $(this);
		i = slider_index + 1;
		
		if(i == slide_links.size())
		{
			slider.append(slider.find("li:first").clone().addClass("last"));
		}
		
		return false;
	});
}

$(document).ready(function() {
	if($("#player").size() > 0) {
		initVideo();
	}
	if($("#audio").size() > 0) {
		initAudio();
	}
	if($("table.hovered").size() > 0) {
		$("table.hovered tbody tr").mouseover(function() {
			$(this).find("td").each(function() {if($(this).attr("rowspan") <=1 && $(this).attr("colspan") <=1) $(this).addClass("hselected");});
		}).mouseout(function() {
			$(this).find("td").removeClass("hselected");
		});
	}
	
	
	if($("#slogan_list").size() > 0)
	{
		setslider(slider_delay);
	}
	$('.bottom_banners ul').jcarousel();
});